CamelStreamVFS
3
CAMEL Library

# CamelStreamVFS

## Synopsis

                        CamelStreamVFS;
    CamelStream*        camel_stream_vfs_new_with_uri       (const char *uri,
                                                             int flags,
                                                             mode_t mode);

## Description

## Details

### CamelStreamVFS

    typedef struct {
    	CamelSeekableStream parent_object;

    	GnomeVFSHandle *handle;
    } CamelStreamVFS;

### camel_stream_vfs_new_with_uri ()

    CamelStream*        camel_stream_vfs_new_with_uri       (const char *uri,
                                                             int flags,
                                                             mode_t mode);

Creates a new CamelStreamVFS corresponding to the named file, flags, and mode.

`uri` :

`flags` :

  flags as in open(2)

`mode` :

  a file mode

Returns :

  the new stream, or `NULL` on error.